package com.cyrilmottier.android.fancytoast;

import android.app.Activity;
import android.os.Bundle;
import android.view.Gravity;
import android.view.View;
import android.widget.TextView;
import android.widget.Toast;

public class LauncherActivity extends Activity {

	private Toast mFancyToast;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);

		View fancyToast = getLayoutInflater().inflate(R.layout.fancy_toast,
				null);

		mFancyToast = new Toast(this);
		mFancyToast.setGravity(Gravity.CENTER_VERTICAL, 0, 0);
		mFancyToast.setDuration(Toast.LENGTH_LONG);
		mFancyToast.setView(fancyToast);

		((TextView) mFancyToast.getView()).setText(LauncherActivity.this
				.getResources().getString(R.string.toast_text));

		setContentView(R.layout.main);
	}

	public void showToast(View view) {
		mFancyToast.show();
	}
}